<template>
  <div>
    <input type="file" class="file" accept="image/jpeg" @change="onFileChange">
    <button @click="uploadFile">Upload File</button>
    <feather-icon
            size="16"
            icon="XIcon"
            class="cursor-pointer text-danger"
            @click="removeImage()"
    />
    <b-container class="p-1">
      <b-row>
        <b-col>
          <b-img class="w-25 p-1" :src="previewImage" alt=""></b-img>
        </b-col>
      </b-row>
    </b-container>
    {{ file }}
  </div>
</template>

<script>
import axios from 'axios';

export default {
  data() {
    return {
      file: null,
      previewImage: null,
    }
  },
  methods: {
    onFileChange(e) {
      this.file = e.target.files[0];
      const image = e.target.files[0];
      const reader = new FileReader();
      reader.readAsDataURL(image);
      reader.onload = e =>{
          this.previewImage = e.target.result;
      };
    },
    uploadFile() {
      let formData = new FormData();
      formData.append('file', this.file);
      formData.append('productId', 1);
      console.log('formData',formData);
      axios.post('/api/v1/product/upload', formData)
      .then(response => {
        console.log(response);
        response.data.data.data.path
      })
      .catch(error => {
        console.log(error);
      });
    },
    removeImage() {
      this.file = '';
      this.previewImage = null;
      const file = document.querySelector('.file');
      var emptyFile = document.createElement('input');
      emptyFile.type = 'file';
      file.files = emptyFile.files;
    },
  }
}
</script>
